codelyzer versions and peer dependencies

The table below has a list of all versions of codelyzer compatible peers dependencies.

Version Peer Dependency Versions
6.0.1
  • @angular/compiler @ >=2.3.1 <11.0.0 || >9.0.0-beta <11.0.0 || >9.1.0-beta <11.0.0 || >9.2.0-beta <11.0.0
  • @angular/core @ >=2.3.1 <11.0.0 || >9.0.0-beta <11.0.0 || >9.1.0-beta <11.0.0 || >9.2.0-beta <11.0.0
  • tslint @ ^5.0.0 || ^6.0.0
6.0.0
  • @angular/compiler @ >=2.3.1 <11.0.0 || >9.0.0-beta <11.0.0 || >9.1.0-beta <11.0.0 || >9.2.0-beta <11.0.0
  • @angular/core @ >=2.3.1 <11.0.0 || >9.0.0-beta <11.0.0 || >9.1.0-beta <11.0.0 || >9.2.0-beta <11.0.0
  • tslint @ ^5.0.0 || ^6.0.0
5.2.2
  • @angular/compiler @ >=2.3.1 <10.0.0 || >9.0.0-beta <10.0.0 || >9.1.0-beta <10.0.0 || >9.2.0-beta <10.0.0
  • @angular/core @ >=2.3.1 <10.0.0 || >9.0.0-beta <10.0.0 || >9.1.0-beta <10.0.0 || >9.2.0-beta <10.0.0
  • tslint @ ^5.0.0
5.1.2 - 5.2.1
  • @angular/compiler @ >=2.3.1 <10.0.0 || >9.0.0-beta <10.0.0 || >9.1.0-beta <10.0.0 || >9.2.0-beta <10.0.0
  • @angular/core @ >=2.3.1 <10.0.0 || >9.0.0-beta <10.0.0 || >9.1.0-beta <10.0.0 || >9.2.0-beta <10.0.0
  • tslint @ ^5.0.0
5.1.0 - 5.1.1
  • @angular/compiler @ >=2.3.1 <9.0.0 || >8.0.0-beta <9.0.0 || >8.1.0-beta <9.0.0 || >8.2.0-beta <9.0.0
  • @angular/core @ >=2.3.1 <9.0.0 || >8.0.0-beta <9.0.0 || >8.1.0-beta <9.0.0 || >8.2.0-beta <9.0.0
  • tslint @ ^5.0.0
5.0.1
  • @angular/compiler @ >=2.3.1 <9.0.0 || >8.0.0-beta <9.0.0
  • @angular/core @ >=2.3.1 <9.0.0 || >8.0.0-beta <9.0.0
  • tslint @ ^5.0.0
5.0.0
  • @angular/compiler @ >=2.3.1 <8.0.0 || >7.0.0-beta <9.0.0
  • @angular/core @ >=2.3.1 <8.0.0 || >7.0.0-beta <9.0.0
  • tslint @ ^5.0.0
4.5.0
  • @angular/compiler @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/core @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • tslint @ ^5.0.0
4.3.0 - 4.4.4
  • @angular/compiler @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/core @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • tslint @ ^5.0.0
4.2.1
  • @angular/compiler @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/core @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/platform-browser-dynamic @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/platform-browser @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • @angular/common @ >=2.3.1 <7.0.0 || >6.0.0-beta <7.0.0
  • tslint @ ^5.0.0
4.2.0
  • @angular/compiler @ ^2.3.1 || >=4.0.0-beta <7.0.0
  • @angular/core @ ^2.3.1 || >=4.0.0-beta <7.0.0
  • @angular/platform-browser-dynamic @ ^2.3.1 || >=4.0.0-beta <7.0.0
  • @angular/platform-browser @ ^2.3.1 || >=4.0.0-beta <7.0.0
  • @angular/common @ ^2.3.1 || >=4.0.0-beta <7.0.0
  • tslint @ ^5.0.0
4.0.0 - 4.1.0
  • @angular/compiler @ ^2.3.1 || >=4.0.0-beta <6.0.0
  • @angular/core @ ^2.3.1 || >=4.0.0-beta <6.0.0
  • @angular/platform-browser-dynamic @ ^2.3.1 || >=4.0.0-beta <6.0.0
  • @angular/platform-browser @ ^2.3.1 || >=4.0.0-beta <6.0.0
  • @angular/common @ ^2.3.1 || >=4.0.0-beta <6.0.0
  • tslint @ ^5.0.0
3.1.0 - 3.2.2
  • @angular/compiler @ ^2.3.1 || >=4.0.0-beta <5.0.0
  • @angular/core @ ^2.3.1 || >=4.0.0-beta <5.0.0
  • tslint @ ^5.0.0
3.0.0 - 3.0.1
  • tslint @ ^5.0.0
  • @angular/compiler @ ^2.3.1 || >=4.0.0-beta <5.0.0
  • @angular/core @ ^2.3.1 || >=4.0.0-beta <5.0.0
2.0.0 - 2.1.1
  • tslint @ ^4.0.0
  • @angular/compiler @ ^2.3.1 || >=4.0.0-beta <5.0.0
  • @angular/core @ ^2.3.1 || >=4.0.0-beta <5.0.0
0.0.28
  • tslint @ 3.9.0
0.0.27
  • tslint @ 3.9.0
0.0.12
  • tslint @ ^3.6.0
  • typescript @ ^1.8.7
0.0.10 - 0.0.11
  • tslint @ ^3.5.0
  • typescript @ ~1.8.0